Skip to main content
`Ctrl`+`K`

# MATSOLVERCHOLMOD

matrix type providing direct solvers (Cholesky) for sequential matrices via the external package CHOLMOD. Use `./configure --download-suitesparse` to install PETSc to use CHOLMOD

Use `-pc_type cholesky` `-pc_factor_mat_solver_type cholmod` to use this direct solver

Consult CHOLMOD documentation for more information about the common parameters which correspond to the options database keys below.

## Options Database Keys

- -mat_cholmod_dbound 0 - Minimum absolute value of diagonal entries of D (None)

- -mat_cholmod_grow0 1.2 - Global growth ratio when factors are modified (None)

- -mat_cholmod_grow1 1.2 - Column growth ratio when factors are modified (None)

- -mat_cholmod_grow2 5 - Affine column growth constant when factors are modified (None)

- -mat_cholmod_maxrank 8 - Max rank of update, larger values are faster but use more memory [2,4,8] (None)

- -mat_cholmod_factor AUTO - (choose one of) `SIMPLICIAL`, `AUTO`, `SUPERNODAL`

- -mat_cholmod_supernodal_switch 40 - flop/nnz_L threshold for switching to supernodal factorization (None)

- -mat_cholmod_final_asis TRUE - Leave factors “as is” (None)

- -mat_cholmod_final_pack TRUE - Pack the columns when finished (use FALSE if the factors will be updated later) (None)

- -mat_cholmod_zrelax 0.8 - 3 real supernodal relaxed amalgamation parameters (None)

- -mat_cholmod_nrelax 4 - 3 size_t supernodal relaxed amalgamation parameters (None)

- -mat_cholmod_prefer_upper TRUE - Work with upper triangular form (faster when using fill-reducing ordering, slower in natural ordering) (None)

- -mat_cholmod_print 3 - Verbosity level (None)

- -mat_ordering_type internal - Use the ordering provided by Cholmod

## Note

CHOLMOD is part of SuiteSparse http://faculty.cse.tamu.edu/davis/suitesparse.html

## See Also

Matrices, `Mat`, `PCCHOLESKY`, `PCFactorSetMatSolverType()`, `MatSolverType`

## Level

beginner

## Location

src/mat/impls/sbaij/seq/cholmod/sbaijcholmod.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages